%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define ff_epoch 0
%define ff_ver 3.0.3

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: KDEFF theme for Mozilla Firefox
Name: mozilla-firefox-theme-kdeff
Version: 0.4
Release: %mkrel 9
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/3652
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/12079/kdeff-%{version}-fx.jar
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
KDEFF is a KDE-like theme using Crystal icons for Mozilla Firefox.

%prep
# Unfortunately, we have to fix the packaging for this one. :(
%setup -T -q -c -n %{name}-%{version}
unzip %{SOURCE0} icon.png install.rdf preview.png
mkdir chrome
cp %{SOURCE0} chrome/tmp.xpi
cat > chrome.manifest <<_EOF_
skin    browser KDEFF   jar:chrome/tmp.xpi!/browser/
skin    communicator    KDEFF   jar:chrome/tmp.xpi!/communicator/
skin    global  KDEFF   jar:chrome/tmp.xpi!/global/
skin    mozapps KDEFF   jar:chrome/tmp.xpi!/mozapps/
skin    help    KDEFF   jar:chrome/tmp.xpi!/help/
_EOF_

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.4-9mdv2009.0
+ Revision: 289179
- rebuild for new FF

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-8mdv2009.0
+ Revision: 236320
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.4-7mdv2009.0
+ Revision: 231263
- Rebuild for firefox 2.0.0.15

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-6mdv2009.0
+ Revision: 195598
- rebuild for mozilla-firefox-2.0.0.14

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-5mdv2008.1
+ Revision: 190292
- bump release (for mozilla-firefox-2.0.0.13)
- disable useless debug package

* Sat Feb 09 2008 Frederik Himpe <fhimpe@mandriva.org> 0.4-4mdv2008.1
+ Revision: 164586
- Rebuild it for Firefox 1.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-3mdv2008.1
+ Revision: 117787
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.4-2mdv2008.1
+ Revision: 117481
- Rebuilt for FF 2.0.0.11

* Thu Nov 08 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.4-1mdv2008.1
+ Revision: 106926
- First package.
- Created package structure for mozilla-firefox-theme-kdeff.

